%define upstream_name    Test-DistManifest
%define upstream_version 1.012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Verify MANIFEST as an author test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Manifest) >= 0.70.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildArch:  noarch

%description
This module provides a simple method of testing that a MANIFEST matches the
distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm debugfiles.list debuglinks.list debugsources.list 
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.12.0-2.mga3
+ Revision: 373463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 255510
- update to 1.012

* Fri Jun 17 2011 jquelin <jquelin> 1.11.0-1.mga2
+ Revision: 108956
- update to 1.011

* Fri Jan 21 2011 jquelin <jquelin> 1.9.0-1.mga1
+ Revision: 29299
- mageia rebuild
- imported package perl-Test-DistManifest

